function ohlcFilter(dayFrom, dayTo, hourFrom, hourTo) {
  var result = [],
    filtered = [];
  var date, day, hour, i, end;

  filteredOHLC = [];
  for (var i = 0, end = OHLC.length; i < end; i++) {
    date = moment.utc(OHLC[i].x);
    day = date.day();
    hour = date.hour();

    if (dayFrom <= day && day <= dayTo) {
      if (hour >= hourFrom && hour <= hourTo) {
        filtered.push(OHLC[i]);
      }
    } else {
      if (filtered.length > 0) {
        result.push(filtered);
        filtered = [];
      }
    }
  };

  return result;
};

// add series overlay to other seies
function plotOverlay(name, data) {
  tbChart.addSeries({
    name: name,
    data: data
  });
};
// add series to another panel 
function plotNoOverlay(name, data, type) {
  // get all y axis to update its height
  // only main axis for now
  tbChart.yAxis[0].update({
    height: '70%'
  });
  // create new y axis to data,
  // create new series data
  tbChart.addAxis({ // Secondary yAxis
    id: name,
    title: {
      text: name
    },
    //lineWidth: 2,
    //lineColor: '#08F',
    opposite: true,
    top: '75%',
    height: '25%'
  });
  tbChart.addSeries({
    name: name,
    type: type,
    //color: '#08F',
    yAxis: name,
    data: data
  });
};


/*
example coffee code
Simple MA 14

lastPos = randPos - 100

sma = (series, period) ->
  i = randPos - 100
  while i < randPos
    [Time[i], jStat.mean series[(i-period)..i]]

plotOverlay "SMA 14", sma(14)
plotNoOverlay "SMA 14", sma(14)
*/
// add flag
// volume or other seperate indicator window, overlay
/*
sma = (series, period) ->
    i = 0
    end = series.length
    while i < randPos
    [Time[i], jStat.mean series[(i-period)..i]]
    i += 1
SMA: 10 period = sum / 10 

Multiplier: (2 / (Time periods + 1) ) = (2 / (10 + 1) ) = 0.1818 (18.18%)

EMA: {Close - EMA(previous day)} x multiplier + EMA(previous day). 

   ema 1 = ma(period)
   var mul = 2/(period+1);
   var    pos=Bars-2;
   ema = Close[i] - ema(Close[i-1]) * mul + ema(Close[i-1]);

rsi 
 The very first calculations for average gain and average loss are simple 14 period averages.

    First Average Gain = Sum of Gains over the past 14 periods / 14.
    First Average Loss = Sum of Losses over the past 14 periods / 14

The second, and subsequent, calculations are based on the prior averages and the current gain loss:

    Average Gain = [(previous Average Gain) x 13 + current Gain] / 14.
    Average Loss = [(previous Average Loss) x 13 + current Loss] / 14.


currentPos = randPos
DISPLAY = 100
rsi = (period) ->
	gain = 0
	loss = 0
	i = currentPos - DISPLAY
	j = i - period + 1
	while j < i
		diff = Close[j] - Close[j-1]
		if diff > 0
			gain += diff
		else
			loss -= diff
		j += 1
    
	avgUp = gain / period
	avgDown = loss / period
	while i < currentPos
		diff = Close[i] - Close[i-1]
		if diff > 0
			gain = diff
			loss = 0
		else
			loss = -diff
			gain = 0
		i += 1
		avgUp = (avgUp*(period-1)+gain)/period
		avgDown = (avgDown*(period-1)+loss)/period
		rsi = 100 - 100 / (1 + avgUp/avgDown)
		[Time[i-1], rsi]

plotNoOverlay "RSI 14", rsi(14), "line"

*/